part of mapmyindia_gl;

class MapmyIndiaGenerateOTP {
  final String userHandle;

  MapmyIndiaGenerateOTP(this.userHandle);

  toJson() => <String, dynamic>{"userHandle": this.userHandle};

  Future<String?> generateOtp() async {
    try {
      String? result = await restApi.generateOtp(toJson());
      return result;
    } on PlatformException catch (e) {
      return Future.error(e);
    }
  }
}
